package gf.cloud.main.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum SendStateEnum {

    Unknow(0,"未知"),
    SUCCESS(1,"成功"),
    Failure(2,"失败"),
    ;

    @EnumValue
    private Integer value;
    private String desc;

    SendStateEnum(Integer value, String desc){
        this.desc =desc;
        this.value = value;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    public static SendStateEnum findByValue(Integer value){
        for(SendStateEnum item : values()){
            if(item.getValue().equals(value)){
                return item;
            }
        }
        return null;
    }
}
