package gf.core.main.error;

import xstartup.error.XError;

/**
 * @author lixueyan
 * @date 2023/5/18 0018 10:33
 */
public enum MessageError implements XError {
    Send_Not_Exists_Error(1001001,"定时发送请求不存在"),
    Send_Time_Error(1001002,"发送时间不合法"),
    Send_Time_Fast_Error(1001003,"不允许秒级的定时发送请求"),
    ;

    private int code;
    private String text;

    MessageError(int code, String text) {
        this.code = code;
        this.text = text;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getText() {
        return text;
    }
}
