package gf.core.main.service;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import gf.core.main.entity.WeatherDataEnt;
import gf.core.main.entity.WeatherDataView;
import gf.core.main.mapper.WeatherDataMapper;
import gf.core.main.mapper.WeatherDataViewMapper;
import gf.core.main.service.data.weather_data.GetWeatherDataViewInput;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.data.XSingleResult;
import xstartup.feature.api.annotation.XApiAnonymous;
import xstartup.feature.api.annotation.XApiGet;

@XService
public class OilFieldDataService {
    @XApiAnonymous
    @XApiGet
    public XSingleResult getOilFieldData(XContext context, GetWeatherDataViewInput input){
        WeatherDataMapper  weatherDataMapper = context.getBean(WeatherDataMapper.class);
        QueryWrapper<WeatherDataEnt> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(WeatherDataEnt::getId , input.getId());
        WeatherDataEnt ent = weatherDataMapper.selectOne(queryWrapper);
        return XSingleResult.success(ent);
    }

    @XApiAnonymous
    @XApiGet
    public XSingleResult getOilFieldDataView(XContext context, GetWeatherDataViewInput input){
        WeatherDataViewMapper viewMapper = context.getBean(WeatherDataViewMapper.class);
        WeatherDataView view = new WeatherDataView();
        view.setId(input.getId());
        view = viewMapper.selectOne(view);
        return XSingleResult.success(view);
    }
}
