package cnpc.core.auth.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

public class AuthBaseThirdAuthView implements Serializable {
    @XText("主键")
    @TableField
    private Integer id;

    @XText("租户名称")
    @TableField
    private String tenantName;

    @XText("应用id")
    @TableField
    private String appId;

    @XText("密钥key")
    @TableField
    private String secretKey;

    @XText("短信签名")
    @TableField
    private String smsSign;

    @XText("短信扩展码（短信回复时，区分业务类型）")
    @TableField
    private String smsExtendedCode;

    @XText("状态（0：禁用，1：启用）")
    @TableField
    private Boolean state;

    @XText("备注")
    @TableField
    private String remark;

    @XText("创建人id")
    @TableField
    private Integer createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人id")
    @TableField
    private Integer modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer value) {
        this.id = value;
    }

    public String getTenantName() {
        return this.tenantName;
    }

    public void setTenantName(String value) {
        this.tenantName = value;
    }

    public String getAppId() {
        return this.appId;
    }

    public void setAppId(String value) {
        this.appId = value;
    }

    public String getSecretKey() {
        return this.secretKey;
    }

    public void setSecretKey(String value) {
        this.secretKey = value;
    }

    public String getSmsSign() {
        return this.smsSign;
    }

    public void setSmsSign(String value) {
        this.smsSign = value;
    }

    public String getSmsExtendedCode() {
        return this.smsExtendedCode;
    }

    public void setSmsExtendedCode(String value) {
        this.smsExtendedCode = value;
    }

    public Boolean getState() {
        return this.state;
    }

    public void setState(Boolean value) {
        this.state = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public Integer getCreateById() {
        return this.createById;
    }

    public void setCreateById(Integer value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public Integer getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(Integer value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

}
