package cnpc.core.auth.error;

import xstartup.error.XError;

/**
 * @author lixueyan
 * @date 2023/5/31 0031 17:39
 */
public enum  AuthError implements XError {
    Tenant_Not_Exists_Error(1002001,"租户不存在"),
    Secret_Has_Error(1002002,"密钥错误"),
    Timestamp_Has_Error(1002003,"请求时间戳错误"),
    ;

    private int code;
    private String text;

    AuthError(int code, String text) {
        this.code = code;
        this.text = text;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getText() {
        return text;
    }
}
