package app;

import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.base.conf.XServiceConf;
import xstartup.base.util.XEncryptUtils;
import xstartup.boot.XStartupApplication;
import xstartup.feature.XSwaggerDocFeature;
import xstartup.feature.api.XApiFeature;
import xstartup.feature.api.conf.XApiCookieConf;
import xstartup.feature.mybatis.XMybatisFeature;
import xstartup.feature.rpc.XRpcFeature;

public class DeployGfMainApplication {
    public static void main(String... args) {
        System.out.println(XEncryptUtils.encrypt("Gauss_234"));
        XStartup startup = new XStartupApplication("gf");
        startup.config(new XServerConf(22061).naming("gf-main"))
                .config(new XServiceConf("gf"));
        startup.enable(XApiFeature.class)
                .config(new XApiCookieConf("%4bH8s9&",43200));
        startup.enable(XSwaggerDocFeature.class);
        startup.enable(XMybatisFeature.class);
        startup.enable(XRpcFeature.class);
        startup.run(args);
    }

}
