package gf.cloud.main.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum SendTypeEnum {

    Single_Targert_Single_SMS(1,"发送单条短信","sendSms"),
    Single_Targert_Single_IM(2,"发送单条即时通讯","sendIm"),
    Single_Targert_Single_Message(3,"发送单条消息","sendMessage"),
    More_Targert_Single_SMS(4,"发送多目标单条短信","sendBatchOneSms"),
    More_Targert_Single_IM(5,"发送多目标单条即时通讯","sendBatchOneIm"),
    More_Targert_Single_Message(6,"发送多目标单条消息","sendBatchOneMessage"),
    More_Targert_More_SMS(7,"发送多手机号多条短信","sendBatchMoreSms"),
    More_Targert_More_IM(8,"发送多手机号多条即时通讯","sendBatchMoreIm"),
    More_Targert_More_Message(9,"发送多手机号多条消息","sendBatchMoreMessage"),

    ;

    @EnumValue
    private Integer value;
    private String desc;
    private String methodName;

    SendTypeEnum(Integer value, String desc, String methodName){
        this.desc =desc;
        this.value = value;
        this.methodName = methodName;
    }

    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    public String getMethodName() {
        return methodName;
    }

    public static SendTypeEnum findByValue(Integer value){
        for(SendTypeEnum item : values()){
            if(item.getValue().equals(value)){
                return item;
            }
        }
        return null;
    }
}
