package cnpc.core.auth.mybatis;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import xstartup.service.mybatis.XMybatis;

/**
 * mybatis 配置类
 */
 @Component
 @EnableTransactionManagement
 @MapperScan(sqlSessionTemplateRef = "sqlSessionTemplateRef.cnpc.core.auth",
        sqlSessionFactoryRef = "sqlSessionFactoryRef.cnpc.core.auth",
        basePackages = {"cnpc.core.auth.mapper"})
public class CnpcCoreAuthMybatis extends XMybatis {

}
